FileNameMapper (Apache Ant API)
Keywords: org.apache.tools.ant.util.FileNameMapper interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Interface FileNameMapper

All Known Implementing Classes:
  FlatFileNameMapper, GlobPatternMapper, IdentityMapper, MergingMapper, RegexpPatternMapper

public interface FileNameMapper

Interface to be used by SourceFileScanner.

Used to find the name of the target file(s) corresponding to a source file.

The rule by which the file names are transformed is specified via the setFrom and setTo methods. The exact meaning of these is implementation dependent.

Author:
  Stefan Bodewig

Method Summary
`java.lang.String[]` | `mapFileName(java.lang.String sourceFileName)` Returns an array containing the target filename(s) for the given source file.
`void` | `setFrom(java.lang.String from)` Sets the from part of the transformation rule.
`void` | `setTo(java.lang.String to)` Sets the to part of the transformation rule.

Method Detail

### setFrom

    public void setFrom(java.lang.String from)

  Sets the from part of the transformation rule.

### setTo

    public void setTo(java.lang.String to)

  Sets the to part of the transformation rule.

### mapFileName

    public java.lang.String[] mapFileName(java.lang.String sourceFileName)

  Returns an array containing the target filename(s) for the given source file.

  if the given rule doesn't apply to the source file, implementation must return null. SourceFileScanner will then omit the source file in question.

  Parameters:
    `sourceFileName` - the name of the source file relative to some given basedirectory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.